# Normal Stream

To initialize stream, you first create an instance of ZebecStreamService client in the following way:

```typescript
const config = {
	networkId: nearConfig.networkId,
	nodeUrl: nearConfig.nodeUrl,
	contractId: streamContractId,
	keyStore, // InMemoryKeystore
};

const actions = {
	streamActions: new StreamActions(),
}

const client = new ZebecStreamService(
	account.accountId,
	config,
	actions,
);
```

Note: For Node application, keystore should be passed by creating InMemoryKeyStore object, while for Browser application it can be undefined.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zebec.io/zebec-near/zebec-near-sdk/normal-stream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
